Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.daemon.authentication
Class AuthorizationFileVerification

    java.lang.Object
      com.sshtools.daemon.authentication.AuthorizationFileVerification

All Implemented Interfaces:
  PublicKeyVerification

public class AuthorizationFileVerification
extends java.lang.Object
implements PublicKeyVerification

DOCUMENT ME!

Constructor Summary
`AuthorizationFileVerification()`

Method Summary
`boolean` | `verifyKeySignature(java.lang.String username, java.lang.String algorithm, byte[] encoded, java.lang.String service, byte[] sessionId, byte[] signature)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthorizationFileVerification

    public AuthorizationFileVerification()

Method Detail

### verifyKeySignature

    public boolean verifyKeySignature(java.lang.String username,
                                      java.lang.String algorithm,
                                      byte[] encoded,
                                      java.lang.String service,
                                      byte[] sessionId,
                                      byte[] signature)
                               throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `verifyKeySignature` in interface `PublicKeyVerification`
  Parameters:
    `username` - DOCUMENT ME!
    `algorithm` - DOCUMENT ME!
    `encoded` - DOCUMENT ME!
    `service` - DOCUMENT ME!
    `sessionId` - DOCUMENT ME!
    `signature` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `AuthenticationProtocolException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD